Herald
OpenapiSystem

Get public configuration for a realm

Returns publicly accessible configuration for the specified realm, including: - Registration settings (whether registration is allowed and if email verification is required) - List of enabled OAuth providers - Published white-label settings This endpoint does not require authentication.

GET
/api/public-config/{realmId}

Returns publicly accessible configuration for the specified realm, including:

  • Registration settings (whether registration is allowed and if email verification is required)
  • List of enabled OAuth providers
  • Published white-label settings

This endpoint does not require authentication.

Path Parameters

realmId*string

Realm ID

Response Body

application/json

application/json

curl -X GET "https://example.com/api/public-config/string"
{  "oauthProviders": [    {      "displayName": "string",      "enabled": true,      "name": "string"    }  ],  "realmDescription": "string",  "realmName": "string",  "registration": {    "enabled": true,    "requireEmailVerification": true  },  "whiteLabel": {    "accentColor": "string",    "background": null,    "brandName": "string",    "faviconUrl": "string",    "footerText": "string",    "loginSubtitle": "string",    "loginTitle": "string",    "logoUrl": "string",    "registerSubtitle": "string",    "registerTitle": "string"  }}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}